<div class="container">
    <div class="p-3">
        <dx-data-grid [dataSource]="employees" keyExpr="EmployeeID" [columnAutoWidth]="true" [height]="'83vh'">
            <!-- Serch Panel -->
            <dxo-filter-row [visible]="true" [applyFilter]="true"></dxo-filter-row>
            <dxo-header-filter [visible]="true"></dxo-header-filter>
            <dxo-search-panel [visible]="true" [width]="240" placeholder="Search..."></dxo-search-panel>

            <!-- Inline Editing -->
            <dxo-editing mode="row" [allowUpdating]="true" [allowAdding]="true" [allowDeleting]="true"></dxo-editing>

            <!-- Column Chooser -->
            <dxo-column-chooser [enabled]="true"></dxo-column-chooser>
            <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
            
            <!-- Infinite Scroll -->
            <dxo-load-panel [enabled]="true"></dxo-load-panel>
            <dxo-scrolling mode="infinite"></dxo-scrolling>
            <dxo-sorting mode="multiple"></dxo-sorting>
        </dx-data-grid>
    </div>
</div>